Calendar

Discover calendar events

GET
/calendar/discover

Get a list of calendar events Initially, call without a nextCursor parameter For every successive call, use the nextCursor property returned in the previous call & the number of entries desired for this call The nextCursor internally keeps track of the offset of the results, the initial request parameters, and accounts for discrepancies that might arise from time elapsed between calls

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

scope?string

Scope for calendar event discovery.

Default"upcoming"
Value in"all" | "live" | "upcoming"
categories?string

Filter for calendar event discovery.

tags?string

Filter for calendar event discovery.

featuredResults?string

Filter for calendar event discovery.

Default"include"
Value in"exclude" | "include" | "skip"
nonFeaturedResults?string

Filter for calendar event discovery.

Default"include"
Value in"exclude" | "include" | "skip"
personalizedResults?string

Filter for calendar event discovery.

Default"include"
Value in"exclude" | "include" | "skip"
minimumInterestCount?integer

Filter for calendar event discovery.

minimumRemainingMinutes?integer

Filter for calendar event discovery.

upcomingOffsetMinutes?integer

Filter for calendar event discovery.

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
nextCursor?string

Cursor returned from previous calendar discovery queries (see nextCursor property of the schema CalendarEventDiscovery).

Formatstring

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/calendar/discover"
{
  "nextCursor": "string",
  "results": [
    {
      "accessType": "group",
      "category": "performance",
      "closeInstanceAfterEndMinutes": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "deletedAt": "2019-08-24T14:15:22Z",
      "description": "string",
      "durationInMs": 0,
      "endsAt": "2019-08-24T14:15:22Z",
      "featured": true,
      "guestEarlyJoinMinutes": 0,
      "hostEarlyJoinMinutes": 0,
      "id": "cal_6b182f0c-61ef-4bdf-97fe-94f63bcba27b",
      "imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
      "imageUrl": "string",
      "interestedUserCount": 0,
      "isDraft": true,
      "languages": [
        "eng"
      ],
      "occurrenceKind": "string",
      "ownerId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
      "platforms": [
        "android"
      ],
      "recurrence": "string",
      "roleIds": [
        "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
      ],
      "seriesId": "string",
      "startsAt": "2019-08-24T14:15:22Z",
      "tags": [
        "string"
      ],
      "title": "string",
      "type": "event",
      "updatedAt": "2019-08-24T14:15:22Z",
      "userInterest": {
        "createdAt": "2019-08-24T14:15:22Z",
        "isFollowing": true,
        "updatedAt": "2019-08-24T14:15:22Z"
      },
      "usesInstanceOverflow": true
    }
  ]
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}